std::enable_shared_from_this< _Tp >(3)

NAME
std::enable_shared_from_this< _Tp > -

SYNOPSIS

  Public Member Functions
shared_ptr< _Tp > shared_from_this ()
shared_ptr< const _Tp > shared_from_this () const

  Protected Member Functions
enable_shared_from_this (const enable_shared_from_this &) noexcept
enable_shared_from_this & operator= (const enable_shared_from_this &) noexcept

  Friends
template<typename _Tp1 > void __enable_shared_from_this_helper (const __shared_count<> &__pn, const enable_shared_from_this *__pe, const _Tp1 *__px) noexcept

Detailed Description

  template<typename _Tp>class std::enable_shared_from_this< _Tp >
Base class allowing use of member function shared_from_this.

Definition at line 541 of file shared_ptr.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.